nlohmann::detail::iteration_proxy_value
json.hpp
typename IteratorType
std::ptrdiff_t using nlohmann::detail::iteration_proxy_value< IteratorType >::difference_type = std::ptrdiff_t difference_type
iteration_proxy_value using nlohmann::detail::iteration_proxy_value< IteratorType >::value_type = iteration_proxy_value value_type
value_type * using nlohmann::detail::iteration_proxy_value< IteratorType >::pointer = value_type * pointer
value_type & using nlohmann::detail::iteration_proxy_value< IteratorType >::reference = value_type & reference
std::input_iterator_tag using nlohmann::detail::iteration_proxy_value< IteratorType >::iterator_category = std::input_iterator_tag iterator_category
typename std::remove_cv< typename std::remove_reference< decltype(std::declval< IteratorType >().key()) >::type >::type using nlohmann::detail::iteration_proxy_value< IteratorType >::string_type = typename std::remove_cv< typename std::remove_reference<decltype( std::declval<IteratorType>().key() ) >::type >::type string_type
IteratorType IteratorType nlohmann::detail::iteration_proxy_value< IteratorType >::anchor anchor

the iterator

nlohmann::detail::iteration_proxy_value< IteratorType >::operator!=
nlohmann::detail::iteration_proxy_value< IteratorType >::operator==
std::size_t std::size_t nlohmann::detail::iteration_proxy_value< IteratorType >::array_index array_index = 0

an index for arrays (used to create key names)

std::size_t std::size_t nlohmann::detail::iteration_proxy_value< IteratorType >::array_index_last array_index_last = 0

last stringified array index

string_type string_type nlohmann::detail::iteration_proxy_value< IteratorType >::array_index_str array_index_str = "0"

a string representation of the array index

const string_type const string_type nlohmann::detail::iteration_proxy_value< IteratorType >::empty_str empty_str {}

an empty string (to return a reference for primitive values)

nlohmann::detail::iteration_proxy_value< IteratorType >::iteration_proxy_value
(IteratorType it) noexcept
iteration_proxy_value
IteratorType it
iteration_proxy_value & iteration_proxy_value& nlohmann::detail::iteration_proxy_value< IteratorType >::operator* () operator*

dereference operator (needed for range-based for)

iteration_proxy_value & iteration_proxy_value& nlohmann::detail::iteration_proxy_value< IteratorType >::operator++ () operator++

increment operator (needed for range-based for)

bool bool nlohmann::detail::iteration_proxy_value< IteratorType >::operator== (const iteration_proxy_value &o) const operator== const iteration_proxy_value & o

equality operator (needed for InputIterator)

nlohmann::detail::iteration_proxy_value< IteratorType >::anchor
bool bool nlohmann::detail::iteration_proxy_value< IteratorType >::operator!= (const iteration_proxy_value &o) const operator!= const iteration_proxy_value & o

inequality operator (needed for range-based for)

nlohmann::detail::iteration_proxy_value< IteratorType >::anchor
const string_type & const string_type& nlohmann::detail::iteration_proxy_value< IteratorType >::key () const key

return key of the iterator

nlohmann::detail::array
nlohmann::detail::int_to_string
JSON_ASSERT
nlohmann::detail::object
nlohmann::detail::get
IteratorType::reference IteratorType::reference nlohmann::detail::iteration_proxy_value< IteratorType >::value () const value

return value of the iterator

size_t
IteratorType
type
const string_type
nlohmann::detail::iteration_proxy_value< IteratorType >
-empty_str
-array_index_str
-array_index
-array_index_last
-anchor
- nlohmann::detail::iteration_proxy_value
  anchor
- nlohmann::detail::iteration_proxy_value
  array_index
- nlohmann::detail::iteration_proxy_value
  array_index_last
- nlohmann::detail::iteration_proxy_value
  array_index_str
- nlohmann::detail::iteration_proxy_value
  difference_type
- nlohmann::detail::iteration_proxy_value
  empty_str
- nlohmann::detail::iteration_proxy_value
  iteration_proxy_value
- nlohmann::detail::iteration_proxy_value
  iterator_category
- nlohmann::detail::iteration_proxy_value
  key
- nlohmann::detail::iteration_proxy_value
  operator!=
- nlohmann::detail::iteration_proxy_value
  operator*
- nlohmann::detail::iteration_proxy_value
  operator++
- nlohmann::detail::iteration_proxy_value
  operator==
- nlohmann::detail::iteration_proxy_value
  pointer
- nlohmann::detail::iteration_proxy_value
  reference
- nlohmann::detail::iteration_proxy_value
  string_type
- nlohmann::detail::iteration_proxy_value
  value
- nlohmann::detail::iteration_proxy_value
  value_type